Bug 114314 - vfat (FAT32) filesystem panic after listing directory
vfat (FAT32) filesystem panic after listing directory
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-01-26 10:26 EST by Walter Trotta
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-29 16:00:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Walter Trotta 2004-01-26 10:26:54 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7a)
Gecko/20040121 Firebird/0.8.0+

Description of problem:
Adding, modifying and removing files successful until performing a
full directory listing (i.e. 'ls -al' or via a GUI). From that moment
on, all attempts to modify files or directories in the filesystem
receive an error indicating the filesystem is read-only and a
filesystem panic is logged.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Mount FAT32 filesystem as vfat using any combination of options to
change ownership, permissions, etc.
2. Perform a listing of a directory in the mounted filesystem.
3. Attempt to write to the filesystem (add or modify a file).

Actual Results:  A filesystem panic and an error indicating the
filesystem is read-only.

Expected Results:  Successful write to filesystem.

Additional info:

FAT32 filesystems has been mounted using 'rw,user,uid=500,gid=500'
options. Others have been tried as well, such as 'umask=0'.

The following appears in the messages log for every attempt to modify
a file or directory after the intial directory listing:

Jan 26 10:16:04 ojo kernel: Filesystem panic (dev 03:07).
Jan 26 10:16:04 ojo kernel:   FAT error
Jan 26 10:16:04 ojo kernel:   File system has been set read-only
Jan 26 10:16:04 ojo kernel: Directory 1245: bad FAT

No errors occured while the filesystems were mounted under RedHat
Linux 8.0. The filesystems were untouched during the Fedora installation.
Comment 1 David Lawrence 2004-09-29 16:00:40 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.